Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.v2
Interface CompilerContext

All Known Implementing Classes:
  BpelCompiler11, BpelCompiler20, BpelCompiler20Draft

    public interface CompilerContext

Interface providing access to the compiler.

Method Summary
`OActivity` | `compile(Activity child)`
`OExpression` | `compileExpr(Expression expr)`
`OExpression` | `compileExpr(java.lang.String locationstr, NSContext nsContext)` BPEL 1.1 legacy.
`OExpression` | `compileJoinCondition(Expression expr)`
`OLValueExpression` | `compileLValueExpr(Expression expr)`
`OScope` | `compileSLC(ScopeLikeActivity child, OScope.Variable[] variables)`
`OXslSheet` | `compileXslt(java.lang.String docStrUri)`
`OExpression` | `constantExpr(boolean value)`
`java.util.List<OScope.Variable>` | `getAccessibleVariables()`
`java.util.List<OActivity>` | `getActivityStack()`
`java.net.URI` | `getBaseResourceURI()` Retrieves the base URI that the BPEL Process execution contextis running relative to.
`OActivity` | `getCurrent()`
`ExtensionValidator` | `getExtensionValidator(javax.xml.namespace.QName extensionElementName)`
`OProcess` | `getOProcess()`
`java.util.Map<java.net.URI,javax.xml.transform.Source>` | `getSchemaSources()`
`java.lang.String` | `getSourceLocation()`
`boolean` | `isExtensionDeclared(java.lang.String namespace)`
`boolean` | `isPartnerLinkAssigned(java.lang.String plink)`
`void` | `recoveredFromError(SourceLocation where, CompilationException bce)`
`OScope` | `resolveCompensatableScope(java.lang.String scopeToCompensate)`
`OScope.CorrelationSet` | `resolveCorrelationSet(java.lang.String csetName)`
`OMessageVarType.Part` | `resolveHeaderPart(OScope.Variable variable, java.lang.String partname)`
`OLink` | `resolveLink(java.lang.String linkName)`
`OScope.Variable` | `resolveMessageVariable(java.lang.String inputVar)`
`OScope.Variable` | `resolveMessageVariable(java.lang.String inputVar, javax.xml.namespace.QName messageType)`
`javax.wsdl.Operation` | `resolveMyRoleOperation(OPartnerLink partnerLink, java.lang.String operationName)`
`OMessageVarType.Part` | `resolvePart(OScope.Variable variable, java.lang.String partname)`
`OPartnerLink` | `resolvePartnerLink(java.lang.String name)`
`javax.wsdl.Operation` | `resolvePartnerRoleOperation(OPartnerLink partnerLink, java.lang.String operationName)`
`OProcess.OProperty` | `resolveProperty(javax.xml.namespace.QName name)`
`OProcess.OPropertyAlias` | `resolvePropertyAlias(OScope.Variable variable, javax.xml.namespace.QName property)`
`OScope.Variable` | `resolveVariable(java.lang.String name)`
`OXsdTypeVarType` | `resolveXsdType(javax.xml.namespace.QName typeName)`

Method Detail

### constantExpr

    OExpression constantExpr(boolean value)

### compileJoinCondition

    OExpression compileJoinCondition(Expression expr)
                                     throws CompilationException

  Throws:
    `CompilationException`

### compileExpr

    OExpression compileExpr(Expression expr)
                            throws CompilationException

  Throws:
    `CompilationException`

### compileLValueExpr

    OLValueExpression compileLValueExpr(Expression expr)
                                        throws CompilationException

  Throws:
    `CompilationException`

### compileExpr

    OExpression compileExpr(java.lang.String locationstr,
                            NSContext nsContext)
                            throws CompilationException

  BPEL 1.1 legacy.

  Parameters:
    `locationstr` -
    `nsContext` -
  Returns:
  Throws:
    `CompilationException`

### compileXslt

    OXslSheet compileXslt(java.lang.String docStrUri)
                          throws CompilationException

  Throws:
    `CompilationException`

### resolveXsdType

    OXsdTypeVarType resolveXsdType(javax.xml.namespace.QName typeName)
                                   throws CompilationException

  Throws:
    `CompilationException`

### resolveProperty

    OProcess.OProperty resolveProperty(javax.xml.namespace.QName name)
                                       throws CompilationException

  Throws:
    `CompilationException`

### resolveVariable

    OScope.Variable resolveVariable(java.lang.String name)
                                    throws CompilationException

  Throws:
    `CompilationException`

### getAccessibleVariables

    java.util.List<OScope.Variable> getAccessibleVariables()

### resolveMessageVariable

    OScope.Variable resolveMessageVariable(java.lang.String inputVar)
                                           throws CompilationException

  Throws:
    `CompilationException`

### resolveMessageVariable

    OScope.Variable resolveMessageVariable(java.lang.String inputVar,
                                           javax.xml.namespace.QName messageType)
                                           throws CompilationException

  Throws:
    `CompilationException`

### resolvePart

    OMessageVarType.Part resolvePart(OScope.Variable variable,
                                     java.lang.String partname)
                                     throws CompilationException

  Throws:
    `CompilationException`

### resolveHeaderPart

    OMessageVarType.Part resolveHeaderPart(OScope.Variable variable,
                                           java.lang.String partname)
                                           throws CompilationException

  Throws:
    `CompilationException`

### compile

    OActivity compile(Activity child)
                      throws CompilationException

  Throws:
    `CompilationException`

### compileSLC

    OScope compileSLC(ScopeLikeActivity child,
                      OScope.Variable[] variables)

### resolvePartnerLink

    OPartnerLink resolvePartnerLink(java.lang.String name)
                                    throws CompilationException

  Throws:
    `CompilationException`

### resolvePartnerRoleOperation

    javax.wsdl.Operation resolvePartnerRoleOperation(OPartnerLink partnerLink,
                                                     java.lang.String operationName)
                                                     throws CompilationException

  Throws:
    `CompilationException`

### resolveMyRoleOperation

    javax.wsdl.Operation resolveMyRoleOperation(OPartnerLink partnerLink,
                                                java.lang.String operationName)
                                                throws CompilationException

  Throws:
    `CompilationException`

### resolvePropertyAlias

    OProcess.OPropertyAlias resolvePropertyAlias(OScope.Variable variable,
                                                 javax.xml.namespace.QName property)
                                                 throws CompilationException

  Throws:
    `CompilationException`

### recoveredFromError

    void recoveredFromError(SourceLocation where,
                            CompilationException bce)
                            throws CompilationException

  Throws:
    `CompilationException`

### resolveLink

    OLink resolveLink(java.lang.String linkName)
                      throws CompilationException

  Throws:
    `CompilationException`

### resolveCompensatableScope

    OScope resolveCompensatableScope(java.lang.String scopeToCompensate)
                                     throws CompilationException

  Throws:
    `CompilationException`

### getOProcess

    OProcess getOProcess()
                         throws CompilationException

  Throws:
    `CompilationException`

### resolveCorrelationSet

    OScope.CorrelationSet resolveCorrelationSet(java.lang.String csetName)
                                                throws CompilationException

  Throws:
    `CompilationException`

### getSourceLocation

    java.lang.String getSourceLocation()

### isPartnerLinkAssigned

    boolean isPartnerLinkAssigned(java.lang.String plink)

### getActivityStack

    java.util.List<OActivity> getActivityStack()

### getSchemaSources

    java.util.Map<java.net.URI,javax.xml.transform.Source> getSchemaSources()

### getCurrent

    OActivity getCurrent()

### isExtensionDeclared

    boolean isExtensionDeclared(java.lang.String namespace)

### getExtensionValidator

    ExtensionValidator getExtensionValidator(javax.xml.namespace.QName extensionElementName)

### getBaseResourceURI

    java.net.URI getBaseResourceURI()

  Retrieves the base URI that the BPEL Process execution contextis running relative to.

  Returns:
    URI - the URI representing the absolute physical file path location that this process is defined within.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD